darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred

Darcs.Witnesses.Show

# Documentation

data ShowDict a where

Constructors

ShowDictClass :: Show a => ShowDict a |
ShowDictRecord :: (Int -> a -> ShowS) -> (a -> String) -> ([a] -> ShowS) -> ShowDict a |

showD :: ShowDict a -> a -> String

showListD :: ShowDict a -> [a] -> ShowS

showsPrecD :: ShowDict a -> Int -> a -> ShowS

class Show1 a where

Methods

showDict1 :: ShowDict (a x)

Instances

Show1 (Prim x) |
Show1 (Prim x) |
(Show2 p, Show2 (PrimOf p)) => Show1 (Non p) |
Show2 a => Show1 (RL a x) |
Show2 a => Show1 (FL a x) |
PrimPatch prim => Show1 (Patch prim x) |
(PatchListFormat p, ShowPatch p) => Show1 (Named p x) |
(Show2 a, Show2 b) => Show1 (:> a b x) |

class Show2 a where

Methods

showDict2 :: ShowDict (a x y)

Instances

Show2 Prim |
Show2 Prim |
Show2 a => Show2 (RL a) |
Show2 a => Show2 (FL a) |
PrimPatch prim => Show2 (Patch prim) |
(PatchListFormat p, ShowPatch p) => Show2 (Named p) |
PrimPatch prim => Show2 (RealPatch prim) |
(Show2 a, Show2 b) => Show2 (:\/: a b) |
(Show2 a, Show2 b) => Show2 (:> a b) |

show1 :: Show1 a => a x -> String

showsPrec1 :: Show1 a => Int -> a x -> ShowS

show2 :: Show2 a => a x y -> String

showsPrec2 :: Show2 a => Int -> a x y -> ShowS

showOp2 :: (Show2 a, Show2 b) => Int -> String -> Int -> a w x -> b y z -> String -> String

appPrec :: Int